ExitableDirectoryReader.ExitableTermsEnum (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.index, class: ExitableDirectoryReader, class: ExitableTermsEnum

Package org.apache.lucene.index

# Class ExitableDirectoryReader.ExitableTermsEnum

java.lang.Object
org.apache.lucene.index.TermsEnum
org.apache.lucene.index.FilterLeafReader.FilterTermsEnum
org.apache.lucene.index.ExitableDirectoryReader.ExitableTermsEnum

All Implemented Interfaces:
  `BytesRefIterator`

Enclosing class:
  `ExitableDirectoryReader`

public static class ExitableDirectoryReader.ExitableTermsEnum extends FilterLeafReader.FilterTermsEnum
Wrapper class for TermsEnum that is used by ExitableTerms for implementing an exitable enumeration of terms.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.index.TermsEnum

  `TermsEnum.SeekStatus`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.index.FilterLeafReader.FilterTermsEnum

  `in`

  ### Fields inherited from class org.apache.lucene.index.TermsEnum

  `EMPTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExitableTermsEnum(TermsEnum termsEnum, QueryTimeout queryTimeout)`
  Constructor *

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BytesRef`
  `next()`
  Increments the iteration to the next `BytesRef` in the iterator.

  ### Methods inherited from class org.apache.lucene.index.FilterLeafReader.FilterTermsEnum

  `attributes, docFreq, impacts, ord, postings, prepareSeekExact, seekCeil, seekExact, seekExact, seekExact, term, termState, totalTermFreq`

  ### Methods inherited from class org.apache.lucene.index.TermsEnum

  `postings, preferSeekExact`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExitableTermsEnum

    public ExitableTermsEnum(TermsEnum termsEnum, QueryTimeout queryTimeout)
    Constructor *

- ## Method Details

  - ### next

    public BytesRef next() throws IOException
    Description copied from interface: `BytesRefIterator`
    Increments the iteration to the next `BytesRef` in the iterator. Returns the resulting `BytesRef` or `null` if the end of the iterator is reached. The returned BytesRef may be re-used across calls to next. After this method returns null, do not call it again: the results are undefined.
    Specified by:
      `next` in interface `BytesRefIterator`
    Overrides:
      `next` in class `FilterLeafReader.FilterTermsEnum`
    Returns:
      the next `BytesRef` in the iterator or `null` if the end of the iterator is reached.
    Throws:
      `IOException` - If there is a low-level I/O error.